Results 1 to 3 of 3

Thread: composite-amanger+3d app doesent work

  1. #1
    dgrat NNTP User

    Default composite-amanger+3d app doesent work

    hi there,
    i have a running nvidia card and when i launch an 3d app without a running compiz all works fine. but if i start compiz or an other comp-manager (like the new kde-one) all 3d apps doesent start an i get the following message:
    Code:
    X Error of failed request:  GLXBadDrawable
      Major opcode of failed request:  128 (GLX)
      Minor opcode of failed request:  5 (X_GLXMakeCurrent)
      Serial number of failed request:  29
      Current serial number in output stream:  29
    libxcb: WARNING! Program tries to lock an already locked connection,
            which indicates a programming error.
            There will be no further warnings about this issue.
    iam using this xorg opts:
    Code:
    Section "Device"
        Identifier     "Device[0]"
        Driver         "nvidia"
        VendorName     "NVidia"
        Option         "NvAGP" "1"
        BoardName      "GeForce Go 7600"
        Screen          0
    EndSection
    Section "Screen"
    ...
        Option         "RenderAccel" "True"
        Option         "AddARGBGLXVisuals" "True"
    ...
    Section "Extensions"
        Option         "Composite" "Enable"
    EndSection
    driver is the latest stable nvidia closed source. the most stupid is, that i cant test my 3d engine while compiz is running. ):

  2. #2
    Join Date
    Jun 2008
    Location
    Cleveland USA
    Posts
    138

    Default Re: composite-amanger+3d app doesent work

    I'm guessing you're using opensuse 10.3, xorg-x11-libxcb 7.2xx and kde 3.5? In that case, you might want to update your xorg-x11-libxcb to version 7.3 or higher. Here's the link for the one click install: http://software.opensuse.org/ymp/X11...x11-libxcb.ymp

    According to this post, Java 6 + Libxcb = Solved? - openSUSE Forums adding -x11 to the end of the apps you're trying to run should force them to work right, using 7.2xx.

  3. #3
    dgrat NNTP User

    Default Re: composite-amanger+3d app doesent work

    ähm, at the moment i am using opensuse 11, but i have had the same problem with opensuse 10.3
    but there i had installed a recent xorg after installation. thx for reply. i try to look for an more up to date xcb package.

    edit: no there is not really a newer package, but i think this isnt the solution...

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •